from pathlib import Path
from .utils import EnvironPath
import yaml


ROOT_DIR = Path(__file__).resolve().parent.parent
ENV_FILE = ROOT_DIR / ".env"

if ENV_FILE.is_file():
    with open(ENV_FILE, "r", encoding="utf-8") as ef:
        env_yml = yaml.safe_load(ef)
        try:
            REQUEST_DIR = Path(env_yml["REQUEST_DIR"])
            BENCHMARK_DIR = Path(env_yml["BENCHMARK_DIR"])
        except KeyError as exc:
            raise KeyError(
                "If using '.env' file, please use keys 'REQUEST_DIR' and 'BENCHMARK_DIR'."
            ) from exc

else:
    REQUEST_DIR = EnvironPath("REQUEST_DIR")
    BENCHMARK_DIR = EnvironPath("BENCHMARK_DIR")
