from tabulate import tabulate
from pandas import DataFrame


def format_dataframe(
    df: DataFrame,
    format: str,
    tableformat: str = "plain"
) -> str:
    if format == "default":
        return str(df)
    if format == "fwf":
        return str(
            tabulate(
                df.values.tolist(),
                list(df.columns),
                tablefmt=tableformat,
            )
        )
    if hasattr(df, f"to_{format}"):
        return getattr(df, f"to_{format}")()
    raise ValueError(
        f"Unknown format: '{format}'."
    )

